---
updatedAt: 2026-05-13T09:04:01.000Z
---

# Get author by source network ID per instance

Get a single author by the source network ID on a specific instance of the network

## Details

Returns a single author by the source network ID on a specific instance of the network. Use this method when the `networktype` is type "lithium" or "crm" in order to specify which instance the author ID is used for. To get a single author based on a Facebook, or Instagram username/handle or ID use:

* `/authors/networks/networktype/ids/networkid`
* `/authors/networks/networktype/handles/networkhandle`

Notice in this response that there is no `personList` array. This is because we are retrieving all known Author instances associated with the specified Care author. In this example, we passed in the `id` field value (2279), and we were able to retrieve all known author data related to that ID including custom CRM author attributes, custom author attributes, and system attributes.

# Related endpoints

| Action | Endpoint                                                                                                                                                                                                                                                                   |
| ------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| GET    | [/authors/networks/{networktype}/ids/{networkid}](https://developer.khoros.com/khoroscaredevdocs/reference/authorsnetworksnetworktypeidsnetworkid)<br />Get a single author by source network ID where the source network has only a single, default instance, such as Facebook or Instagram                                    |
| PUT    | [/authors/networks/{networktype}/ids/{networkid}](https://developer.khoros.com/khoroscaredevdocs/reference/authorsnetworksnetworktypeidsnetworkid-1)<br />Update a single author by source network ID on the default instance of the source network                                                                             |
| PUT    | [/authors/networks/{networktype}/instances/{networkinstance}/ids/{networkid}](https://developer.khoros.com/khoroscaredevdocs/reference/authorsnetworksnetworktypeinstancesnetworkinstanceidsnetworkid-2)<br />Update a single author by network ID on a specific instance of that network                                       |
| GET    | [/authors/networks/{networktype}/handles/{networkhandle}](https://developer.khoros.com/khoroscaredevdocs/reference/authorsnetworks_networktype_handles_networkhandle)<br />Get one or more authors by the `networkhandle` passed in for the specified source network                                                            |
| GET    | [/authors/networks/{networktype}/instances/{networkinstance}/handles/{networkhandle}](https://developer.khoros.com/khoroscaredevdocs/reference/authorsnetworksnetworktypeinstancesnetworkinstancehandlesnetworkhandle)<br />Returns one or more authors by the networkhandle passed in for the specified instance of a network. |

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "author-api-v2",
    "version": "1.1"
  },
  "servers": [
    {
      "url": "https://{instance}.response.lithium.com/api/v2/authors",
      "variables": {
        "instance": {
          "default": "instance"
        }
      }
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/networks/{networktype}/instances/{networkinstance}/ids/{networkid}": {
      "get": {
        "summary": "Get author by source network ID per instance",
        "description": "Get a single author by the source network ID on a specific instance of the network",
        "operationId": "authorsnetworksnetworktypeinstancesnetworkinstanceidsnetworkid-1",
        "parameters": [
          {
            "name": "networktype",
            "in": "path",
            "description": "The type of network that manages content created by or about an author. Supported values are: \"instagram\", \"facebook\", \"googleplus\", \"lithium\", \"crm\"<br><br>For a `networktype` of value \"lithium\" or \"crm\" you must also pass the `networkinstance`, because these types of networks can have multiple instances as opposed to Instagram, Facebook, or Google+ that have only a single, default network.<br><br>The Author API supports \"instagram\", \"facebook\", \"googleplus\", \"lithium\", and \"crm\" only as values for `networktype`.",
            "schema": {
              "type": "string"
            },
            "required": true
          },
          {
            "name": "networkinstance",
            "in": "path",
            "description": "The specific, uniquely-identifiable instance of a `networktype`. Use this argument with a `networktype` of \"lithium\" or \"crm\" only because other network types such as Facebook, Instagram, and Google+ have only a single, default instance.<br><br>If you wanted to PUT or GET author data by passing in a CRM author ID, for example, you would need to specify which CRM instance the CRM author ID is associated with.<br><br>Example: \"sfdc_1\"<br><br>The value to pass for `networkinstance` is either the instance of your Lithium community (example: https://my_community_instance.com) or the key you defined for the CRM author integration for this CRM (example: \"sfdc_1\").",
            "schema": {
              "type": "string"
            },
            "required": true
          },
          {
            "name": "networkid",
            "in": "path",
            "description": "The internal ID of the author generated by the network. For Facebook, this is the PSID. Compare this to the the externally used `networkhandle`. The network ID must be unique to a given `networkinstance`.",
            "schema": {
              "type": "string"
            },
            "required": true
          },
          {
            "name": "include_deleted_crm",
            "in": "query",
            "description": "When `true`, the response includes authors whose CRM entry has been deleted. Otherwise, the response will not include authors whose CRM entry has been deleted.",
            "schema": {
              "type": "boolean",
              "default": false
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"status\": \"success\",\n    \"data\": [\n        {\n            \"id\": \"c1ee6be0-07b4-4828-8699-7c96ed34e6e8\",\n            \"displayNumber\": 5265,\n            \"handles\": {\n                \"lithium\": [\n                    {\n                        \"@class\": \"LithiumSpecificAuthorData\",\n                        \"lswUuid\": \"e662a2c8-1cfb-43e1-879d-0bf33f4a62a7\",\n                        \"displayNumber\": 5090,\n                        \"profileUrl\": \"https://brand_community.lithium.com/t5/user/viewprofilepage/user-id/2281\",\n                        \"acceptedSolutionsCount\": 3,\n                        \"providerInstanceId\": \"liaresponse.stage.lithium.com/\",\n                        \"kudosCount\": 24,\n                        \"name\": \"Mark_Erickson\",\n                        \"netOverallPosts\": 299,\n                        \"id\": \"2281\",\n                        \"rankName\": \"Regular Responder\",\n                        \"registrationInstant\": 1361820315000,\n                        \"screenName\": \"Mark_Erickson\",\n                        \"profileImageURL\": \"https://brand_community.lithium.com/t5/image/serverpage/avatar-name/mexican/avatar-theme/2delicious/avatar-collection/food/avatar-display-size/profile/version/2?xdesc=1.0\",\n                        \"networkinstance\": \"liaresponse.stage.lithium.com/\",\n                        \"avatarUrl\": \"https://brand_community.lithium.com/t5/image/serverpage/avatar-name/mexican/avatar-theme/2delicious/avatar-collection/food/avatar-display-size/profile/version/2?xdesc=1.0\"\n                    }\n                ]\n            },\n            \"tags\": [],\n            \"notes\": []\n        }\n    ]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": "success"
                    },
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "string",
                            "example": "c1ee6be0-07b4-4828-8699-7c96ed34e6e8"
                          },
                          "displayNumber": {
                            "type": "integer",
                            "example": 5265,
                            "default": 0
                          },
                          "handles": {
                            "type": "object",
                            "properties": {
                              "lithium": {
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "@class": {
                                      "type": "string",
                                      "example": "LithiumSpecificAuthorData"
                                    },
                                    "lswUuid": {
                                      "type": "string",
                                      "example": "e662a2c8-1cfb-43e1-879d-0bf33f4a62a7"
                                    },
                                    "displayNumber": {
                                      "type": "integer",
                                      "example": 5090,
                                      "default": 0
                                    },
                                    "profileUrl": {
                                      "type": "string",
                                      "example": "https://brand_community.lithium.com/t5/user/viewprofilepage/user-id/2281"
                                    },
                                    "acceptedSolutionsCount": {
                                      "type": "integer",
                                      "example": 3,
                                      "default": 0
                                    },
                                    "providerInstanceId": {
                                      "type": "string",
                                      "example": "liaresponse.stage.lithium.com/"
                                    },
                                    "kudosCount": {
                                      "type": "integer",
                                      "example": 24,
                                      "default": 0
                                    },
                                    "name": {
                                      "type": "string",
                                      "example": "Mark_Erickson"
                                    },
                                    "netOverallPosts": {
                                      "type": "integer",
                                      "example": 299,
                                      "default": 0
                                    },
                                    "id": {
                                      "type": "string",
                                      "example": "2281"
                                    },
                                    "rankName": {
                                      "type": "string",
                                      "example": "Regular Responder"
                                    },
                                    "registrationInstant": {
                                      "type": "integer",
                                      "example": 1361820315000,
                                      "default": 0
                                    },
                                    "screenName": {
                                      "type": "string",
                                      "example": "Mark_Erickson"
                                    },
                                    "profileImageURL": {
                                      "type": "string",
                                      "example": "https://brand_community.lithium.com/t5/image/serverpage/avatar-name/mexican/avatar-theme/2delicious/avatar-collection/food/avatar-display-size/profile/version/2?xdesc=1.0"
                                    },
                                    "networkinstance": {
                                      "type": "string",
                                      "example": "liaresponse.stage.lithium.com/"
                                    },
                                    "avatarUrl": {
                                      "type": "string",
                                      "example": "https://brand_community.lithium.com/t5/image/serverpage/avatar-name/mexican/avatar-theme/2delicious/avatar-collection/food/avatar-display-size/profile/version/2?xdesc=1.0"
                                    }
                                  }
                                }
                              }
                            }
                          },
                          "tags": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {}
                            }
                          },
                          "notes": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {}
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Unsupported network type": {
                    "value": "{\n  \"status\": \"fail\",\n  \"message\": \"Error parsing HTTP body. Error details: Unsupported author data container format! (through reference chain: Person[\\\"handles\\\"])\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": "fail"
                    },
                    "message": {
                      "type": "string",
                      "example": "Error parsing HTTP body. Error details: Unsupported author data container format! (through reference chain: Person[\"handles\"])"
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": [],
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl -L -u [USERNAME]:[PASSWORD] 'https://your_social_response_instance.lithium.com/api/v2/authors/networks/lithium/instances/liaresponse.stage.lithium.com%2F/ids/2281'"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```